import request from '@/utils/request'

// 查询出入库管理列表
export function listStorage(query) {
  return request({
    url: '/pharmacy/storage/list',
    method: 'get',
    params: query
  })
}

// 查询出入库管理详细
export function getStorage(id) {
  return request({
    url: '/pharmacy/storage/' + id,
    method: 'get'
  })
}

// 新增出入库管理
export function addStorage(data) {
  return request({
    url: '/pharmacy/storage',
    method: 'post',
    data: data
  })
}

// 修改出入库管理
export function updateStorage(data) {
  return request({
    url: '/pharmacy/storage',
    method: 'put',
    data: data
  })
}

// 删除出入库管理
export function delStorage(id) {
  return request({
    url: '/pharmacy/storage/' + id,
    method: 'delete'
  })
}

// 导出出入库管理
export function exportStorage(query) {
  return request({
    url: '/pharmacy/storage/export',
    method: 'get',
    params: query
  })
}

//获取使用范围
export function boundary(query) {
  return request({
    url: '/pharmacy/storage/boundary',
    method: 'get',
    params: query
  })
}
